=== debian/control ===
--- 
+++ 
@@ -1,41 +1,40 @@
 Source: kf6-ktexteditor
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: cmake (>= 3.16~),
+               debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
-               cmake (>= 3.16~),
                doxygen,
-               extra-cmake-modules (>= 6.18.0~),
-               libcups2-dev,
+               extra-cmake-modules (>= 6.19.0~),
                libeditorconfig-dev,
                libgit2-dev (>= 0.22.0~),
                libjs-underscore,
-               libkf6archive-dev (>= 6.18.0~),
-               libkf6auth-dev (>= 6.18.0~),
-               libkf6colorscheme-dev (>= 6.18.0~),
-               libkf6config-dev (>= 6.18.0~),
-               libkf6guiaddons-dev (>= 6.18.0~),
-               libkf6i18n-dev (>= 6.18.0~),
-               libkf6kio-dev (>= 6.18.0~),
-               libkf6parts-dev (>= 6.18.0~),
-               libkf6sonnet-dev (>= 6.18.0~),
-               libkf6syntaxhighlighting-dev (>= 6.18.0~),
-               libkf6textwidgets-dev (>= 6.7.0~),
+               libkf6archive-dev (>= 6.19.0~),
+               libkf6auth-dev (>= 6.19.0~),
+               libkf6config-dev (>= 6.19.0~),
+               libkf6guiaddons-dev (>= 6.19.0~),
+               libkf6i18n-dev (>= 6.19.0~),
+               libkf6kio-dev (>= 6.19.0~),
+               libkf6parts-dev (>= 6.19.0~),
+               libkf6sonnet-dev (>= 6.19.0~),
+               libkf6syntaxhighlighting-dev (>= 6.19.0~),
+               libkf6textwidgets-dev (>= 6.19.0~),
                pkgconf,
-               qt6-base-dev (>= 6.7.0~),
-               qt6-declarative-dev (>= 6.7.0~),
-               qt6-speech-dev (>= 6.7.0~),
+               qt6-base-dev (>= 6.6.0~),
+               qt6-declarative-dev (>= 6.6.0~),
+               qt6-speech-dev (>= 6.6.0~),
                qt6-tools-dev (>= 6.5.0~),
                xauth <!nocheck>,
                xvfb <!nocheck>,
-Standards-Version: 4.7.2
+Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/frameworks/ktexteditor
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-ktexteditor
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-ktexteditor.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-ktexteditor
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-ktexteditor
 Rules-Requires-Root: no
 
 Package: libkf6texteditor-data
@@ -55,8 +54,7 @@
 Package: libkf6texteditor-bin
 Architecture: any
 Multi-Arch: foreign
-Depends: ${misc:Depends},
-         ${shlibs:Depends},
+Depends: ${misc:Depends}, ${shlibs:Depends},
 Description: provide advanced plain text editing services (binaries)
  The KTextEditor interfaces - also called KTE interfaces - are a set
  of well-defined interfaces which an application or library can
@@ -71,10 +69,10 @@
 Package: libkf6texteditor-dev
 Section: libdevel
 Architecture: any
-Depends: libkf6parts-dev (>= 6.18.0~),
-         libkf6syntaxhighlighting-dev (>= 6.18.0~),
+Depends: libkf6parts-dev (>= 6.19.0~),
+         libkf6syntaxhighlighting-dev (>= 6.19.0~),
          libkf6texteditor6 (= ${binary:Version}),
-         qt6-base-dev (>= 6.7.0~),
+         qt6-base-dev (>= 6.6.0~),
          ${misc:Depends},
          ${shlibs:Depends},
 Recommends: libkf6texteditor-doc (= ${source:Version}),
