=== debian/rules ===
--- 
+++ 
@@ -9,7 +9,7 @@
 	dh $@
 
 override_dh_auto_configure:
-	dh_auto_configure -- -DBUILD_QCH=ON
+	dh_auto_configure
 	# ktexteditor embeds underscore.js in the generated lib
 	# (through a qt resource)
 	-ln -sf /usr/share/javascript/underscore/underscore.js src/script/data/libraries/underscore.js
