## kf6-ktexteditor 6.19.0+p24.04+vstable+git20251019.0257

=== debian/changelog ===
kf6-ktexteditor (6.19.0+p24.04+vstable+git20251019.0257-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 19 Oct 2025 02:57:53 +0000
