## kf6-ktexteditor 6.19.0+p24.04+vstable+git20251025.0245

=== debian/changelog ===
kf6-ktexteditor (6.19.0+p24.04+vstable+git20251025.0245-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 25 Oct 2025 02:45:24 +0000
