## kf6-ktexteditor 6.19.0+p24.04+vunstable+git20251016.0149

=== CMakeLists.txt ===
--- 
+++ 
@@ -50,7 +50,7 @@
 )
 
 # Dependencies
-set(REQUIRED_QT_VERSION 6.8.0)
+set(REQUIRED_QT_VERSION 6.7.0)
 
 # Required Qt components to build this framework
 find_package(Qt6 ${REQUIRED_QT_VERSION} NO_MODULE REQUIRED Core Widgets Qml PrintSupport TextToSpeech)
