## kf6-ktexteditor 6.19.0+p24.04+vunstable+git20251020.1051

=== debian/changelog ===
kf6-ktexteditor (6.19.0+p24.04+vunstable+git20251020.1051-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 20 Oct 2025 10:51:40 +0000
