## kf6-ktexteditor 6.20.0

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -294,7 +294,7 @@
     VERSION ${KF_VERSION}
     USE_VERSION_HEADER
     DEPRECATED_BASE_VERSION 0
-    DEPRECATION_VERSIONS 6.9
+    DEPRECATION_VERSIONS 6.9 6.19
     EXCLUDE_DEPRECATED_BEFORE_AND_AT ${EXCLUDE_DEPRECATED_BEFORE_AND_AT}
 )
 add_library(KF6::TextEditor ALIAS KF6TextEditor)
@@ -355,7 +355,7 @@
             <QSharedData>
             <QString>
             <QStringList>
-            <QJsonDocument>
+            <QJsonObject>
             <QTextFormat>
             <QWidget>
             <QObject>
